# kkk-sess

[![NPM version][npm-image]][npm-url]
[![build status][travis-image]][travis-url]
[![Test coverage][coveralls-image]][coveralls-url]

```
远和近 —— 顾城

你
一会儿看我
一会儿看云
我觉得
你看我时很远
你看云时很近
```

## example
```js
const sess = require('kkk-sess');

app.use(sess.use({
  name: 'kkk:sess',
  secret: 'kkk:sess:secret',
  verify: 'strict',
  cookie: {
    signed: false, // sign the cookie value
    overwrite: true, // overwrite the same name (false by default)
  },
  keys: [
    'token',
    'user.id',
    'user.name',
  ]
}), 'sess');
```

[npm-image]: https://img.shields.io/npm/v/kkk-sess.svg?style=flat-square
[npm-url]: https://www.npmjs.com/package/kkk-sess
[travis-image]: https://img.shields.io/travis/yorts52/kkk-sess/master.svg?style=flat-square
[travis-url]: https://travis-ci.org/yorts52/kkk-sess
[coveralls-image]: https://img.shields.io/codecov/c/github/yorts52/kkk-sess.svg?style=flat-square
[coveralls-url]: https://codecov.io/github/yorts52/kkk-sess?branch=master
