/*
 * @Author: kael
 * @Date: 2017-07-13 11:03:49
 * @Last Modified by: kael
 * @Last Modified time: 2020-09-24 14:41:05
 */

const crypto = require('../lib/crypto');

test('crypto.md5', () => {
  expect(crypto.md5()).toBe('d41d8cd98f00b204e9800998ecf8427e');
  expect(crypto.md5('a')).toBe('0cc175b9c0f1b6a831c399e269772661');
  expect(crypto.md5('中文')).toBe('a7bac2239fcdcb3a067903d8077c4a07');
  expect(crypto.md5('中文123abc')).toBe('889b1236f312e25f09992bca606d81c3');
});

test('crypto.encrypt', () => {
  expect(crypto.encrypt('hello world', '123123')).toBe('V09pvlM3EZWSKrE=');
});

test('crypto.decrypt', () => {
  expect(crypto.decrypt('V09pvlM3EZWSKrE=', '123123')).toBe('hello world');
});
