const crypto = require('crypto');
const algorithm = 'aes-256-ctr';
const iv = Buffer.alloc(16, 0);

function md5(str = '') {
  return crypto.createHash('md5').update(str.toString()).digest('hex');
}

function encrypt(text, secret) {
  let password = crypto.createHash('sha256').update(String(secret)).digest('base64').substr(0, 32);
  let cipher = crypto.createCipheriv(algorithm, password, iv);
  let crypted = cipher.update(text, 'utf8', 'base64');
  crypted += cipher.final('base64');
  return crypted;
}

function decrypt(text, secret) {
  let password = crypto.createHash('sha256').update(String(secret)).digest('base64').substr(0, 32);
  let decipher = crypto.createDecipheriv(algorithm, password, iv);
  let dec = decipher.update(text, 'base64', 'utf8');
  dec += decipher.final('utf8');
  return dec;
}

module.exports = {
  md5,
  encrypt,
  decrypt,
};
